go-ring API Reference
OpenapiNotifications

Subscribe to motion alerts

Subscribes to motion notifications from a doorbell device.

POST
/clients_api/doorbots/{device_id}/motions_subscribe

Authorization

RingAccessToken
AuthorizationBearer <token>

Send an OAuth access token in the Authorization: Bearer header. Token exchange and refresh operations are described under Authentication.

In: header

Path Parameters

device_id*integer
Formatint64
Range1 <= value

Response Body

curl -X POST "https://example.com/clients_api/doorbots/1/motions_subscribe"
Empty